EDIT - feature request #5030

feature request # 4931 (New): [Master] Fix Performance Issues

Implement new dto object for TaxonNavigator
06/25/2015 12:34 PM - Cherian Mathew

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal

Description

Since the performance of the taxon navigator is quite slow when remote loading taxon nodes, it is required to have a more

lightweight dto which contains all the necessary information.

This will require a specific hgl query + service call on the service side to generate the dto as well as the corresponding

implementation in the taxon navigator.

The dto should represent a tree node with access to its parent and children and the service call should allow for pre-loading the child

nodes upto a certain specified depth

Related issues:

Is duplicate of EDIT - feature request #2380: TaxonNavigator should work with...

Closed

History

#1 - 06/25/2015 01:53 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to c.mathew -

#2 - 09/08/2015 02:22 PM - Andreas Miiller

- Keywords set to performance,

#3 - 11/20/2015 10:52 AM - Cherian Mathew

- Target version changed from Remoting 5.0 to Remoting 6.0

#4 - 04/03/2017 05:40 PM - Andreas Miiller
- Description updated
- Assignee changed from Cherian Mathew to Katja Luther

- Target version changed from Remoting 6.0 to Unassigned CDM tickets

This is a general issue not only related to Remoting

#5 - 05/12/2018 03:46 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.0

Can you check if this is a duplicate to the new navigator implementation? Link the ticket if yes. Is there any further information in this ticket which

might be helpful? If not close as duplicate and remove target version.

#6 - 05/17/2018 02:28 PM - Andreas Miiller

- Status changed from New to Resolved

#7 - 05/17/2018 04:11 PM - Katja Luther

- Is duplicate of feature request #2380: TaxonNavigator should work with DTO objects instead of full blown cdm instances added

#8 - 05/17/2018 04:12 PM - Katja Luther

- Target version deleted (Release 5.0)
#9 - 05/17/2018 04:19 PM - Katja Luther

- Status changed from Resolved to Closed

#10 - 05/17/2018 05:43 PM - Andreas Miiller
- Status changed from Closed to Duplicate

- Private changed from Yes to No
